Bug 1553 - Xnest crashes on startup with SIGSEGV
Summary: Xnest crashes on startup with SIGSEGV
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/DDX/Xnest (show other bugs)
Version: 6.8.0
Hardware: x86 (IA32) Linux (All)
: medium critical
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-07 03:58 UTC by Mariusz Jedrzejewski
Modified: 2004-10-19 12:38 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Strace output for "Xnest :1" (37.51 KB, text/plain)
2004-10-07 04:00 UTC, Mariusz Jedrzejewski
no flags Details
Strace output for "Xnest -ac :1" (36.84 KB, text/plain)
2004-10-07 04:00 UTC, Mariusz Jedrzejewski
no flags Details
Strace output for "Xnest -geometry 1152x864 -query reserved :1" (43.25 KB, text/plain)
2004-10-07 04:01 UTC, Mariusz Jedrzejewski
no flags Details

Description Mariusz Jedrzejewski 2004-10-07 03:58:59 UTC
It's simple. Xnest starts with or without any param (except of number of
display, eg. :1), then crashes with Segmentation fault reason. As a standalone
server (Xnest :1; Xnest -ac :1) or client (Xnest -geometry 1152x864 -query
hostname :1).

Strace output (for no one param, -ac and -query) attached.
Comment 1 Mariusz Jedrzejewski 2004-10-07 04:00:09 UTC
Created attachment 1028 [details]
Strace output for "Xnest :1"
Comment 2 Mariusz Jedrzejewski 2004-10-07 04:00:38 UTC
Created attachment 1029 [details]
Strace output for "Xnest -ac :1"
Comment 3 Mariusz Jedrzejewski 2004-10-07 04:01:25 UTC
Created attachment 1030 [details]
Strace output for "Xnest -geometry 1152x864 -query reserved :1"

reserved is my other hostname
Comment 4 Roland Mainz 2004-10-07 15:50:16 UTC
Which Xorg version did you use ? Note that X11R68.0 had a couple of bugs which
are now fixed in "trunk" (and they can now be worked-around using the
-extension/+extension options for each single extension).
Comment 5 Mariusz Jedrzejewski 2004-10-07 23:45:43 UTC
(In reply to comment #4)
> Which Xorg version did you use ? Note that X11R68.0 had a couple of bugs which
> are now fixed in "trunk" (and they can now be worked-around using the
> -extension/+extension options for each single extension).

I'm using official 6.8.0 (from Slackware-current).
Disabling all extensions lead to the same situation:

$ Xnest -extension Composite -extension XEVIE -extension XKEYBOARD -extension
RENDER -extension XINERAMA -extension XTEST :1
_XSERVTransSocketOpenCOTSServer: Unable to open socket for inet6
_XSERVTransOpen: transport open failed for inet6/jedrzej:1
_XSERVTransMakeAllCOTSServerListeners: failed to open listener for inet6
Could not init font path element /usr/X11R6/lib/X11/fonts/CID/, removing from list!
Segmentation fault

Now I'll compile 6.8.1 and try, but because of 6.8.1 is only security release, I
think it's still buggy for me... We'll see.
Comment 6 Mariusz Jedrzejewski 2004-10-07 23:52:32 UTC
(In reply to comment #5)
> I'm using official 6.8.0 (from Slackware-current).

Of course it's 6.8.1, my fault.
But all of rest is correct, which means: Xnest segfaults, with all extensions
disabled.
Comment 7 Alexander Gottwald 2004-10-08 01:59:51 UTC
The patches were applied after the 6.8.1 release.

See bug 1404
Comment 8 Mariusz Jedrzejewski 2004-10-20 05:37:39 UTC
Recompiliation with patch for bug 1404 lead to work fine.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.